Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Tier Nolan <[email-masked]>
Date: Mon, 22 Jun 2015 19:33:45 +0100

The BIP-100 proposal uses a window of 12000 blocks (83 days) rather than
the standard 1000.  Given that the threshold is lower than is normal for
hard-forks, noise on the measurement could cause an activation even if less
than 75% of miners agree.  It also means that the vote has to be sustained
for longer and inherently gives a longer notice period.

Two weeks seems low for an upgrade warning.  I guess there would be an
alert on the network.

Do old nodes detect an upgrade by version numbers?  If that was headers
only, then they could detect that large blocks have activated.

Have you considered a "fail" condition?  For example, if 750 of the last
1000 blocks set bits 4 and 14, then it counts as a rejection by 75% of the
miners.  Alternatively, if the rule doesn't activate by 11th Jan 2017, then
it is disabled.